QGIS Application - Bug report #20026

Processing algorithms are not able to add the output layer to an exiting GPKG or SQLite container
without completely overwrite it

2018-10-05 02:19 PM - Andrea Giudiceandrea

Status: Open

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27848
Description

Core processing algorithms are not able to add the output layer to an exiting SQLite (maybe others?) container file without completely
overwrite it.

GDAL/OGR processing algorithms are not able to do it even with GPKG geopackage file.

History

#1 - 2018-10-05 02:36 PM - Andrea Giudiceandrea
- Copied to Bug report #20027: In processing algorithms is not possible to properly select an input layer not in the map from GPKG, SQLite, FileGDB
containers added

#2 - 2018-10-05 04:16 PM - Andrea Giudiceandrea

- Copied to deleted (Bug report #20027: In processing algorithms is not possible to properly select an input layer not in the map from GPKG, SQLite,
FileGDB containers)

#3 - 2018-10-28 02:08 PM - Andrea Giudiceandrea

- Affected QGIS version changed from 3.3(master) to 3.4.0

Confirmed on 3.4.0
